org.jboss.jca.core.workmanager.transport.remote

## Enum ProtocolMessages.Response

- java.lang.Object
- - java.lang.Enum<ProtocolMessages.Response>
  - - org.jboss.jca.core.workmanager.transport.remote.ProtocolMessages.Response

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProtocolMessages.Response>
  Enclosing class:
    ProtocolMessages

      public static enum ProtocolMessages.Response
      extends java.lang.Enum<ProtocolMessages.Response>

  A Command of DistributedWorkManager to through network transport
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERIC_EXCEPTION` GENERIC_EXCEPTION
    `OK_SERIALIZABLE` OK_SERIALIZABLE
    `OK_VOID` OK_VOID
    `WORK_EXCEPTION` WORK_EXCEPTION

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfParameter()` Get the numberOfParameter.
    `java.lang.Class<?>[]` | `getTypeOfParameters()` Get the typeOfParameters.
    `static ProtocolMessages.Response` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProtocolMessages.Response[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK_VOID

          public static final ProtocolMessages.Response OK_VOID

      OK_VOID

    - #### OK_SERIALIZABLE

          public static final ProtocolMessages.Response OK_SERIALIZABLE

      OK_SERIALIZABLE

    - #### WORK_EXCEPTION

          public static final ProtocolMessages.Response WORK_EXCEPTION

      WORK_EXCEPTION

    - #### GENERIC_EXCEPTION

          public static final ProtocolMessages.Response GENERIC_EXCEPTION

      GENERIC_EXCEPTION

  - ### Method Detail

    - #### values

          public static ProtocolMessages.Response[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProtocolMessages.Response c : ProtocolMessages.Response.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProtocolMessages.Response valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumberOfParameter

          public int getNumberOfParameter()

      Get the numberOfParameter.
      Returns:
        the numberOfParameter.

    - #### getTypeOfParameters

          public java.lang.Class<?>[] getTypeOfParameters()

      Get the typeOfParameters.
      Returns:
        the typeOfParameters.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)